<?php
// require_once("dbconnect.php");
require_once("database.php");
?>

<html lang="en">

<head>
    <title>
        Bootstrap Validation example using validator.js
    </title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/1000hz-bootstrap-validator/0.11.5/validator.min.js"></script>
</head>

<body>
    <br />
    <div class="container">
        <div class="panel panel-primary" style="width:auto;margin:0px auto">
            <div class="panel-heading">List Users</div>
            <div class="panel-body">
                <button type="button" class="btn btn-success" onclick="window.location.href='add-user.php'">ADD
                    USER</button>
                <br /><br />
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Name</th>
                            <th scope="col">Last Name</th>
                            <th scope="col">Gender</th>
                            <th scope="col">Birthdate</th>
                            <th scope="col">E-mail</th>
                            <th scope="col">Address</th>
                            <th scope="col">Phone Number</th>
                            <th scope="col">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $sql = "SELECT * FROM users";
                        if($result = mysqli_query($link, $sql)){
                            if(mysqli_num_rows($result) > 0){
                              $order = 1;
                              while($row = $result->fetch_array()){
                                ?>
                        <tr>
                            <th scope="row"><?php echo $order; ?></th>
                            <td><?php echo $row['name']; ?></td>
                            <td><?php echo $row['lastname']; ?></td>
                            <td><?php echo $row['gender'] == "M" ? "Male" : "Female"; ?></td>
                            <td><?php echo $row['birth_date']; ?></td>
                            <td><?php echo $row['mail']; ?></td>
                            <td><?php echo $row['address']; ?></td>
                            <td><?php echo $row['phone_number']; ?></td>
                            <td>
                                <button type="button" class="btn btn-warning"
                                    onclick="window.location.href='edit-user.php?id=<?php echo $row['id']; ?>'">EDIT</button>
                                <button type="button" class="btn btn-danger"
                                    onclick="window.location.href='delete-user.php?id=<?php echo $row['id']; ?>'">DELETE</button>
                            </td>
                        </tr>
                        <?php
                        $order++;
                              }
                            }else{
                              ?>
                        <tr>
                            <td colspan="9" align="center"><span class="label label-danger">Empty Data.</span></td>
                        </tr>
                        <?php
                            }
                          }
                        ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>

</html>